def disable_output(generator):
    generator.write("OUTPut 0")


def enable_output(generator):
    generator.write("OUTPut 1")


def update_device(generator, freq, fill_factor=50, ampl=5, offset=0, load=50):
    # switch off the output, check if needed
    generator.write("*RST")
    generator.write("OUTPut 0")
    generator.write("FUNCtion SQUare")
    generator.write("OUTPut:LOAD " + str(load))
    generator.write("FREQuency " + str(freq) + " KHZ")
    generator.write("VOLTage " + str(ampl))
    generator.write("VOLTage:OFFSet " + str(offset))
    generator.write("FUNCtion:SQUare:DCYCle " + str(fill_factor))


def set_up_device(generator, fill_factor=50, ampl=5, offset=0, load=50):
    # switch off the output, check if needed
    generator.write('*RST')
    generator.write('OUTPut 0')
    generator.write('FUNCtion SQUare')
    generator.write('OUTPut:LOAD ' + str(load))
    generator.write('VOLTage ' + str(ampl))
    generator.write('VOLTage:OFFSet ' + str(offset))
    generator.write('FUNCtion:SQUare:DCYCle ' + str(fill_factor))


def finish(generator):
    generator.write("OUTPut 0")
    generator.close()
